HeimdalKerberos5library: Heimdal Kerberos 5 deprecated functions

# Heimdal Kerberos 5 deprecated functions

## Functions
krb5_error_code KRB5_LIB_FUNCTION | krb5_change_password (krb5_context context, krb5_creds *creds, const char *newpw, int *result_code, krb5_data *result_code_string, krb5_data *result_string) KRB5_DEPRECATED
krb5_error_code KRB5_LIB_FUNCTION | krb5_config_parse_string_multi (krb5_context context, const char *string, krb5_config_section **res) KRB5_DEPRECATED
krb5_error_code KRB5_LIB_FUNCTION | krb5_keytype_to_enctypes (krb5_context context, krb5_keytype keytype, unsigned *len, krb5_enctype **val) KRB5_DEPRECATED
krb5_boolean KRB5_LIB_FUNCTION | krb5_enctypes_compatible_keys (krb5_context context, krb5_enctype etype1, krb5_enctype etype2) KRB5_DEPRECATED
void KRB5_LIB_FUNCTION | krb5_free_error_string (krb5_context context, char *str) KRB5_DEPRECATED
krb5_error_code KRB5_LIB_FUNCTION | krb5_set_error_string (krb5_context context, const char *fmt,...) __attribute__((format(printf
void KRB5_LIB_FUNCTION | krb5_get_init_creds_opt_init (krb5_get_init_creds_opt *opt) KRB5_DEPRECATED
krb5_error_code KRB5_LIB_FUNCTION | krb5_get_init_creds_opt_get_error (krb5_context context, krb5_get_init_creds_opt *opt, KRB_ERROR **error) KRB5_DEPRECATED
krb5_error_code KRB5_LIB_FUNCTION | krb5_c_enctype_compare (krb5_context context, krb5_enctype e1, krb5_enctype e2, krb5_boolean *similar) KRB5_DEPRECATED

## Detailed Description

## Function Documentation

krb5_error_code KRB5_LIB_FUNCTION krb5_c_enctype_compare | ( | krb5_context | context,
|  | krb5_enctype | e1,
|  | krb5_enctype | e2,
|  | krb5_boolean * | similar |
| ) |  |  |

Deprecated: keytypes doesn't exists, they are really enctypes.

krb5_error_code KRB5_LIB_FUNCTION krb5_change_password | ( | krb5_context | context,
|  | krb5_creds * | creds,
|  | const char * | newpw,
|  | int * | result_code,
|  | krb5_data * | result_code_string,
|  | krb5_data * | result_string |
| ) |  |  |

Deprecated: krb5_change_password() is deprecated, use krb5_set_password().

Parameters:

  | context | a Keberos context
  | creds |
  | newpw |
  | result_code |
  | result_code_string |
  | result_string |

Returns:
  On sucess password is changed.

@

krb5_error_code KRB5_LIB_FUNCTION krb5_config_parse_string_multi | ( | krb5_context | context,
|  | const char * | string,
|  | krb5_config_section ** | res |
| ) |  |  |

Deprecated: configuration files are not strings

krb5_boolean KRB5_LIB_FUNCTION krb5_enctypes_compatible_keys | ( | krb5_context | context,
|  | krb5_enctype | etype1,
|  | krb5_enctype | etype2 |
| ) |  |  |

Deprecated: keytypes doesn't exists, they are really enctypes.

void KRB5_LIB_FUNCTION krb5_free_error_string | ( | krb5_context | context,
|  | char * | str |
| ) |  |  |

Free the error message returned by krb5_get_error_string(), deprecated, use krb5_free_error_message().

Parameters:

  | context | Kerberos context
  | str | error message to free

krb5_error_code KRB5_LIB_FUNCTION krb5_get_init_creds_opt_get_error | ( | krb5_context | context,
|  | krb5_get_init_creds_opt * | opt,
|  | KRB_ERROR ** | error |
| ) |  |  |

Deprecated: use the new krb5_init_creds_init() and krb5_init_creds_get_error().

void KRB5_LIB_FUNCTION krb5_get_init_creds_opt_init | ( | krb5_get_init_creds_opt * | opt | ) |

Deprecated: use krb5_get_init_creds_opt_alloc().

The reason krb5_get_init_creds_opt_init() is deprecated is that krb5_get_init_creds_opt is a static structure and for ABI reason it can't grow, ie can't add new functionality.

krb5_error_code KRB5_LIB_FUNCTION krb5_keytype_to_enctypes | ( | krb5_context | context,
|  | krb5_keytype | keytype,
|  | unsigned * | len,
|  | krb5_enctype ** | val |
| ) |  |  |

Deprecated: keytypes doesn't exists, they are really enctypes.

krb5_error_code KRB5_LIB_FUNCTION krb5_set_error_string | ( | krb5_context | context,
|  | const char * | fmt,
|  |  | ... |
| ) |  |  |

Set the error message returned by krb5_get_error_string(), deprecated, use krb5_set_error_message().

Parameters:

  | context | Kerberos context
  | fmt | error message to free

Returns:
  Return an error code or 0.